Skip to main content
GET
/
v1
/
deployments
List deployment records
curl --request GET \
  --url https://api.app.chainloop.dev/v1/deployments \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "total_count": 1,
    "page": 0,
    "total_pages": 5,
    "page_size": 6
  },
  "deployment_records": [
    {
      "artifact": {
        "kind": "kind",
        "name": "name",
        "digest": "digest",
        "version": "version"
      },
      "environment_id": "environment_id",
      "updated_at": "2000-01-23T04:56:07.000Z",
      "deployment_name": "deployment_name",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "last_seen_at": "2000-01-23T04:56:07.000Z",
      "artifact_id": "artifact_id",
      "status": "DEPLOYMENT_STATUS_UNSPECIFIED",
      "environment_name": "environment_name"
    },
    {
      "artifact": {
        "kind": "kind",
        "name": "name",
        "digest": "digest",
        "version": "version"
      },
      "environment_id": "environment_id",
      "updated_at": "2000-01-23T04:56:07.000Z",
      "deployment_name": "deployment_name",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "last_seen_at": "2000-01-23T04:56:07.000Z",
      "artifact_id": "artifact_id",
      "status": "DEPLOYMENT_STATUS_UNSPECIFIED",
      "environment_name": "environment_name"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

pagination.page
integer<int32>

The (zero-based) offset of the first item returned in the collection.

pagination.page_size
integer<int32>

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

environment_name
string

Optional filter by environment name

project_name
string

Optional filter by project name

project_version_name
string

Optional filter by project version name (requires project_name)

status
enum<string>
default:DEPLOYMENT_STATUS_UNSPECIFIED

Optional filter by deployment status

  • DEPLOYED: DEPLOYED indicates the artifact is currently running in the environment slot.
  • DECOMMISSIONED: DECOMMISSIONED indicates the artifact has been intentionally removed from the environment slot.
  • SUPERSEDED: SUPERSEDED indicates the artifact was replaced by a different artifact in the same environment slot.
Available options:
DEPLOYMENT_STATUS_UNSPECIFIED,
DEPLOYED,
DECOMMISSIONED,
SUPERSEDED
artifact_kind
enum<string>
default:ARTIFACT_KIND_UNSPECIFIED

Optional filter by artifact kind

Available options:
ARTIFACT_KIND_UNSPECIFIED,
CONTAINER_IMAGE,
HELM_CHART
deployment_name
string

Optional filter by deployment name (returns records for a specific slot)

full_history
boolean

When true, returns all records instead of only the latest per (environment_id, deployment_name) slot. By default, only the most recent record per slot is returned.

Response

A successful response.

deployment_records
DeploymentStatus defines the status of a deployment DeploymentRecord represents a deployment record entity · object[]
pagination
OffsetPaginationResponse is used to return the pagination information · object
Example:
{
"total_count": 1,
"page": 0,
"total_pages": 5,
"page_size": 6
}